<?php
// Prevent direct access
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly 
}

// Custom copyright function with link to Luzuk
function custom_theme_copyright() {
    $year = date('Y');
    $random_class = 'copyright-' . bin2hex(random_bytes(5));
    $company_name = '<a href="https://www.peccular.com/pages/shopify-web-developer" target="_blank" class="' . esc_attr($random_class) . '">Shopify Web Developer</a>';
    return '&copy; ' . $year . ' ' . $company_name . '. All rights reserved.';
} 