<?php
function eventsShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-events'); 
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_event_number',3);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12'; 
        break;
        case 2: 
        $colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');
                $post = get_post();

                ?>
                <div class="<?php echo $colCls;?> serbrdr pd-0 ">
                           <div  event-match-height="groupName" class="peccular-event-box <?php echo esc_attr(get_theme_mod('peccular_event_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
                                <!--  -->
                                 <div class="peccular-event-image">
                                    <div class="event-imgoverlay"></div>
                                    <div class="peccular-event-date">
                                          <p><?php echo get_the_date( 'j M Y' ); ?></p>
                                    </div>
                                    <a href="<?php the_permalink(); ?>">
                                        <?php
                                        if (has_post_thumbnail()) {
                                            $image_url = $peccular_image[0];
                                        } else {
                                            $image_url = get_template_directory_uri() . '/images/event1dance.jpg';
                                        }
                                        ?>   
                                        <img class="peccular-event-img" src="<?php echo esc_url($image_url); ?>" alt="event" style="height: <?php echo esc_attr(get_theme_mod('peccular_events_post_image_height','auto')) ?>px;" />
                                    
                                
                                <div class="peccular-event-content" style="text-align: <?php if(get_theme_mod('peccular_events_content_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_events_content_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_events_content_align','Right') == 'Right'){ ?> right <?php } ?> ">
                                    <h4><a href="<?php the_permalink(); ?>" style="text-transform : <?php if(get_theme_mod('peccular_event_title_case','None') == 'None'){ ?> none <?php } elseif(get_theme_mod('peccular_event_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_event_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_event_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></a>
                                    </h4>     
                                      <div class="peccular-event-contenttext">
                                        <p><?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_events_post_excerpt','20')) ) ); ?></p>
                                      </div>                              
                                        <div class="clearfix"></div>
                                </div>
                                </a>
                                     <div class="clearfix"></div>
                              
                            </div>                            
                  
      <script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[event-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} ();

$(document).ready(function() {
    matchHeight.init();
});
</script> 

      </div>
  </div>
        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

function eventsInnerpgeShortCode($pageId = null, $isCustomizer = false, $i = null) {
 
    ob_start();

    $args = array('post_type' => 'our-events');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_event_number',3);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;
               ?> 
            <div class="row">
            <?php

            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');

                 if ($isCustomizer === true) {
                    $event_area_designation = get_theme_mod('event_area_designation' . $i);
                } else {
                    $event_area_designation = '';
                }


                $post = get_post();

                    //designation
                $designation = get_post_meta($post->ID, 'designation', false);
                $event_area_designation = !empty($designation[0]) ? $designation[0] : '';

                ?>
                <div class="<?php echo $colCls;?> serbrdr pd-0">
                           <div  event-match-height="groupName" class="peccular-event-box <?php echo esc_attr(get_theme_mod('peccular_event_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
                                 <div class="peccular-event-image">
                                    <div class="event-imgoverlay"></div>
                                    <div class="peccular-event-date">
                                          <p><?php echo get_the_date( 'j M Y' ); ?></p>
                                    </div> 
                                    <a href="<?php the_permalink(); ?>">
                                        <?php
                                        if (has_post_thumbnail()) {
                                            $image_url = $peccular_image[0];
                                        } else {
                                            $image_url = get_template_directory_uri() . '/images/event1.jpg';
                                        }
                                        ?>   
                                        <img class="peccular-event-img" src="<?php echo esc_url($image_url); ?>" alt="event" style="height: <?php echo esc_attr(get_theme_mod('peccular_events_post_image_height','310')) ?>px;" />
                                     
                                    <!-- <div class="imgoverlay"></div> -->
                                    
 
                                    <div class="peccular-event-content" style="text-align: <?php if(get_theme_mod('peccular_events_page_content_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_events_page_content_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_events_page_content_align','Right') == 'Right'){ ?> right <?php } ?> ">                        

                                         <h4><a href="<?php the_permalink(); ?>" style="text-transform : <?php if(get_theme_mod('peccular_event_page_title_case','capitalize') == 'capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_event_page_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_event_page_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></a>
                                        </h4>
                                        <div class="peccular-event-contenttext">
                                            <p><?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_innevents_post_excerpt','20')) ) ); ?>
                                            </p>  
                                        </div>                                     
                                   <div class="clearfix"></div>
                                <!--    </div>/?php
                                    $peccular_eventinn_button_text = get_theme_mod('peccular_eventinn_button_text', 'View Details'); 
                                ?> -->
                              <!--   <//?php if( get_theme_mod('peccular_erviceinn_button_enable',true) == true){ ?>
                                    <a href="<//?php the_permalink(); ?>" class="event-view-btn"><//?php echo ($peccular_eventinn_button_text );  ?>
                                        
                                    </a>

                                <//?php }?> -->
                                    
                                </div>
                                </a>
                                
                                </div><!-- div peccular-event-image-->
                                <div class="clearfix"></div>
                                                                
                                
                            </div>                            
                  
      <script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[service-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} (); 

$(document).ready(function() {
    matchHeight.init();
});
</script>

      </div>
       <?php
    endwhile;
    ?>
    <div class="clearfix"></div>
    </div>
    <?php
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

add_shortcode('EVENTS', 'eventsInnerpgeShortCode');
