<?php
$wp_customize->add_section(
    'peccular_steps_section',
    array(
        'title' => __('Steps Section', 'peccular-premium' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>30
    )
);

$wp_customize->add_setting('peccular_steps_reset_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new peccular_Reset_Custom_Control($wp_customize, 'peccular_steps_reset_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Steps Section Settings', 'peccular'),
  'description' => 'peccular_steps_reset_settings',
  'section' => 'peccular_steps_section'
)));

$wp_customize->add_setting('peccular_steps_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_steps_nav', array(
       'section' => 'peccular_steps_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_steps_enable', 
                'peccular_steps_maintitle',
                'peccular_steps_head_icon_enable',
                'peccular_steps_head_icon',
                'peccular_steps_subtitle',
                'peccular_steps_image',
                'peccular_steps_npp_count_heading',
                'peccular_steps_npp_count',
                'peccular_steps_page1',
                'peccular_steps_page_num_1',
                'peccular_steps_page_icon1',
                'peccular_steps_page_title_1',
                'peccular_steps_page_description_1',
                'peccular_steps_page2',
                'peccular_steps_page_num_2',
                'peccular_steps_page_icon2',
                'peccular_steps_page_title_2',
                'peccular_steps_page_description_2',
                'peccular_steps_page3',
                'peccular_steps_page_num_3',
                'peccular_steps_page_icon3',
                'peccular_steps_page_title_3',
                'peccular_steps_page_description_3',
                'peccular_steps_page4',
                'peccular_steps_page_num_4',
                'peccular_steps_page_icon4',
                'peccular_steps_page_title_4',
                'peccular_steps_page_description_4',
                'peccular_steps_page5',
                'peccular_steps_page_num_5',
                'peccular_steps_page_icon5',
                'peccular_steps_page_title_5',
                'peccular_steps_page_description_5',
                'peccular_steps_page6',
                'peccular_steps_page_num_6',
                'peccular_steps_page_icon6',
                'peccular_steps_page_title_6',
                'peccular_steps_page_description_6',
                'peccular_steps_page7',
                'peccular_steps_page_num_7',
                'peccular_steps_page_icon7',
                'peccular_steps_page_title_7',
                'peccular_steps_page_description_7',
                'peccular_steps_page8',
                'peccular_steps_page_num_8',
                'peccular_steps_page_icon8',
                'peccular_steps_page_title_8',
                'peccular_steps_page_description_8',
                'peccular_steps_page9',
                'peccular_steps_page_num_9',
                'peccular_steps_page_icon9',
                'peccular_steps_page_title_9',
                'peccular_steps_page_description_9',
                'peccular_steps_page10',
                'peccular_steps_page_num_10',
                'peccular_steps_page_icon10',
                'peccular_steps_page_title_10',
                'peccular_steps_page_description_10',
                'peccular_steps_page11',
                'peccular_steps_page_num_11',
                'peccular_steps_page_icon11',
                'peccular_steps_page_title_11',
                'peccular_steps_page_description_11',
                'peccular_steps_page12',
                'peccular_steps_page_num_12',
                'peccular_steps_page_icon12',
                'peccular_steps_page_title_12',
                'peccular_steps_page_description_12',
                'peccular_steps_page13',
                'peccular_steps_page_num_13',
                'peccular_steps_page_icon13',
                'peccular_steps_page_title_13',
                'peccular_steps_page_description_13',
                'peccular_steps_page14',
                'peccular_steps_page_num_14',
                'peccular_steps_page_icon14',
                'peccular_steps_page_title_14',
                'peccular_steps_page_description_14',
                'peccular_steps_page15',
                'peccular_steps_page_num_15',
                'peccular_steps_page_icon15',
                'peccular_steps_page_title_15',
                'peccular_steps_page_description_15'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(               
                'peccular_steps_section_bg_color',
                'peccular_steps_section_bg_image',
                'peccular_steps_image_opacity',                
                'peccular_steps_title_case',
                'peccular_steps_head_align',
                'peccular_steps_box_align',    
                'peccular_steps_box_onload_effects',
                'peccular_steps_heading_color',
                'peccular_steps_subheading_color',
                'peccular_steps_number_color',
                'peccular_steps_icon_color',
                'peccular_steps_iconbg_color',
                'peccular_steps_title_color',
                'peccular_steps_text_color',
                'peccular_steps_box_color',
                'peccular_steps_iconbghover_color',
                'peccular_steps_numberhover_color',
                'peccular_steps_titlehover_color',
                'peccular_steps_texthover_color',
                'peccular_steps_boxhover_color',
                'peccular_steps_border_color'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_steps_padding',
                'peccular_steps_section_t_padding',
                'peccular_steps_section_b_padding',
                'peccular_steps_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_steps_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_steps_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_steps_section'
)));

$wp_customize->add_setting(
    'peccular_steps_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '5 Steps For An Effective Business Strategy:', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_steps_maintitle',
    array(
        'settings'      => 'peccular_steps_maintitle',
        'section'       => 'peccular_steps_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular' )
    )
);

$wp_customize->add_setting('peccular_steps_head_icon_enable',array(
        'default' => 'No',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_steps_head_icon_enable',array(
        'type' => 'radio',
        'label' => __('Heading Icon Display','peccular'),
        'choices' => array (
            'No' => __('No','peccular'),
            'Yes' => __('Yes','peccular')        
        ),
        'section' => 'peccular_steps_section'
    ));
 $wp_customize->add_setting(
        'peccular_steps_head_icon',
        array(
            'default'           => 'fa fa-bell',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'peccular_steps_head_icon',
            array(
                'section'       => 'peccular_steps_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'peccular-premium' ),
                'active_callback' => 'peccular_steps_type_icon'
            )
        )
    );

$wp_customize->add_setting(
    'peccular_steps_subtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Organically grow the holistic world view of disruptive innovation via workplace diversity and empowerment.', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_steps_subtitle',
    array(
        'settings'      => 'peccular_steps_subtitle',
        'section'       => 'peccular_steps_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Sub Heading', 'peccular' )
    )
);

$wp_customize->add_setting( 'peccular_steps_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_steps_image', array(
        'label' => __('Left Image','peccular-premium'),
       'section' => 'peccular_steps_section',
    )));

$wp_customize->add_setting('peccular_steps_npp_count_heading',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_steps_npp_count_heading',
        array(
            'settings'      => 'peccular_steps_npp_count_heading',
            'section'       => 'peccular_steps_section',
            'label'         => __( 'Number of steps to show', 'peccular' ),
        )
    )
);    
$wp_customize->add_setting('peccular_steps_npp_count',array('sanitize_callback' => 'peccular_sanitize_text','default' => 2));
$wp_customize->add_control(
    'peccular_steps_npp_count',
    array(
        'settings'      => 'peccular_steps_npp_count',
        'section'       => 'peccular_steps_section',
        'type'          => 'select',
        'label'         => __( 'Number of steps to show', 'peccular' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 15; $i++ ){
    $wp_customize->add_setting(
        'peccular_steps_page'.$i,
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_steps_page'.$i,
            array(
                'settings'      => 'peccular_steps_page'.$i,
                'section'       => 'peccular_steps_section',
                'label'         => __( 'Steps Page ', 'peccular-premium' ).$i
            )
        )
    );

    lzAddElement($wp_customize, 'peccular_steps_page_num_'.$i, 'peccular_steps_section', $type = 'text', $label="Number", $callback ='sanitize_text_field', $default='STEP 01');

     $wp_customize->add_setting(
        'peccular_steps_page_icon'.$i,
        array(
            'default'           => 'fa fa-cog',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'peccular_steps_page_icon'.$i,
            array(
                'settings'      => 'peccular_steps_page_icon'.$i,
                'section'       => 'peccular_steps_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'peccular-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'peccular_steps_page_title_'.$i, 'peccular_steps_section', $type = 'text', $label="Title", $callback ='peccular_sanitize_text', $default='Gather the facts');
lzAddElement($wp_customize, 'peccular_steps_page_description_'.$i, 'peccular_steps_section', $type = 'textarea', $label="Description", $callback ='peccular_sanitize_text', $default='Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt podcasting operational change better management inside');
}

    $wp_customize->add_setting('peccular_steps_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_steps_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_steps_section'
   ));

    $wp_customize->add_setting('peccular_steps_section_t_padding',array(
        'default' => '5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_steps_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_steps_section',
    ));
     $wp_customize->add_setting('peccular_steps_section_b_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_steps_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_steps_section',
    ));

// backgroundManager($wp_customize, 'steps', 'peccular_steps_section', $color='#fdfdfd', get_template_directory_uri().'/images/default-gray.png', 'img');
$wp_customize->add_setting( 'peccular_steps_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_steps_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_steps_section',
    )));

    $wp_customize->add_setting( 'peccular_steps_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_steps_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_steps_section',
    )));

     $wp_customize->add_setting('peccular_steps_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_steps_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_steps_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

    $wp_customize->add_setting('peccular_steps_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_steps_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_steps_section',
    ));

 $wp_customize->add_setting('peccular_steps_title_case',array(
        'default' => 'Capitalize',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_steps_title_case',array(
        'type' => 'select',
        'label' => __('Steps Title Case','peccular'),
        'choices' => array (
            'Uppercase' => __('Uppercase','peccular'),
            'Lowercase' => __('Lowercase','peccular'),
            'Capitalize' => __('Capitalize','peccular'),
            'None' => __('None','peccular')
        ),
        'section' => 'peccular_steps_section',
    ));

    $wp_customize->add_setting('peccular_steps_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_steps_head_align',array(
        'type' => 'select',
        'label' => __('Section Head Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_steps_section',
    ));

    $wp_customize->add_setting('peccular_steps_box_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_steps_box_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_steps_section',
    ));

    $wp_customize->add_setting('peccular_steps_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_steps_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_steps_section',
    ));

addColorPalatOption($wp_customize, 'peccular_steps_heading_color', 'peccular_steps_section', 'Heading color', '');
addColorPalatOption($wp_customize, 'peccular_steps_subheading_color', 'peccular_steps_section', 'Subheading color ', '');
addColorPalatOption($wp_customize, 'peccular_steps_number_color', 'peccular_steps_section', 'Number color', '');
addColorPalatOption($wp_customize, 'peccular_steps_icon_color', 'peccular_steps_section', 'Icon color', '');
addColorPalatOption($wp_customize, 'peccular_steps_iconbg_color', 'peccular_steps_section', 'Icon Background color', '');
addColorPalatOption($wp_customize, 'peccular_steps_title_color', 'peccular_steps_section', 'Title color', '');
addColorPalatOption($wp_customize, 'peccular_steps_text_color', 'peccular_steps_section', 'Text color', '');
addColorPalatOption($wp_customize, 'peccular_steps_box_color', 'peccular_steps_section', 'Box color', '');
addColorPalatOption($wp_customize, 'peccular_steps_iconbghover_color', 'peccular_steps_section', 'Icon Background hover color', '');
addColorPalatOption($wp_customize, 'peccular_steps_numberhover_color', 'peccular_steps_section', 'Number hover color', '');
addColorPalatOption($wp_customize, 'peccular_steps_titlehover_color', 'peccular_steps_section', 'Title hover color', '');
addColorPalatOption($wp_customize, 'peccular_steps_texthover_color', 'peccular_steps_section', 'Text hover color', '');
addColorPalatOption($wp_customize, 'peccular_steps_boxhover_color', 'peccular_steps_section', 'Box hover color', '');
addColorPalatOption($wp_customize, 'peccular_steps_border_color', 'peccular_steps_section', 'Border color', '');
?>