<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_othersetting_panel3', array(
    'title' => 'Other Settings',
    'panel' => 'peccular_header_panel1',
    'priority' => 3
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_othersetting_panel3',
  ));

$wp_customize->add_section( 'peccular_otherall_setting' , array(
    'title'    => __( 'All Setting', 'peccular-premium' ),
    'priority' => null,
    'panel' => 'peccular_othersetting_panel3'
) );

$wp_customize->add_setting('peccular_reset_otherallsetting_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new peccular_Reset_Custom_Control($wp_customize, 'peccular_reset_otherallsetting_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset All Settings', 'peccular'),
  'description' => 'peccular_otherallsetting_reset_settings',
  'section' => 'peccular_otherall_setting'
)));

 $wp_customize->add_setting('peccular_allsetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_allsetting_nav', array(
       'section' => 'peccular_otherall_setting',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'back_top_btn_on_off',
            ),
            'active' => true,
         ),          
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'peccular_allsett_btn_color',
                'peccular_allsett_btn_hvr_color',
            ),
            'active' => true, 
         )
        ),
    )));

addColorPalatOption($wp_customize, 'peccular_allsett_btn_color', 'peccular_otherall_setting', 'Back to Top Button Color', '');
addColorPalatOption($wp_customize, 'peccular_allsett_btn_hvr_color', 'peccular_otherall_setting', 'Back to Top Button Hover Color', '');


$wp_customize->add_setting(
    'back_top_btn_on_off',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
    )
);
$wp_customize->add_control(
    new peccular_Switch_Control(
        $wp_customize,
        'back_top_btn_on_off',
        array(
            'settings'      => 'back_top_btn_on_off',
            'section'       => 'peccular_otherall_setting',
            'label'         => __( 'Back to Top Button', 'peccular-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'peccular-premium' ),
                'off' => __( 'No', 'peccular-premium' )
            ),
        )
    )
);
// end to show & hide button