<?php
/**
 * Template Name: Contact Page
 *
 * @package peccular Premium
 */
get_header(); 
?>
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
    <header class="page-main-header" 
  <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:100% 100%;
   height: <?php echo esc_attr(get_theme_mod('peccular_innerpage_image_height','400')) ?>px;
  "
  <?php endif ?> 

 <?php } ?>

  > 
   
 
<?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?> <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <div class="clearfix"></div>
    </div>
 <?php } ?>   
 <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
        </div>
 <?php } ?> 

</header><!-- .entry-header --> 
<div class="peccular-innerpage-overlay"></div>
</div>
<main id="innerpage-box">
		<div class="inner_contentbox">
		<?php 
		$peccular_contact_page_formtitle2 = get_theme_mod('peccular_contact_page_formtitle2', 'Get In Touch');
		
		$peccular_contact_page_form_shortcode = get_theme_mod('peccular_contactpage_form_shortcode', 'Add Form [SHORTCODE] Here');

		$peccular_contact_page_iframe_shortcode = get_theme_mod('peccular_contactpage_iframe_shortcode', 'Add Map Embed Code Here');
		$peccular_contact_page_address_label = get_theme_mod('peccular_contactpage_address_label', 'Location');
		$peccular_contact_page_address = get_theme_mod('peccular_contactpage_address', 'Venor Company, 8199 West River Street. Brooklyn, New York 12124 ');
		$peccular_contact_page_address_line1 = get_theme_mod('peccular_contactpage_address_line1', '');
		$peccular_contact_page_address_line2 = get_theme_mod('peccular_contactpage_address_line2', '');
		$peccular_contact_page_phone_label = get_theme_mod('peccular_contactpage_phone_label', 'Phone');
		$peccular_contact_page_phone = get_theme_mod('peccular_contactpage_phone', '+10345 622 723 555 555');
		$peccular_contact_page_phone_another = get_theme_mod('peccular_contactpage_phone_another', '+10345 622 723 856 555');

		$peccular_contact_page_email_label = get_theme_mod('peccular_contactpage_email_label', 'Email');
		$peccular_contact_page_email = get_theme_mod('peccular_contactpage_email', 'vinor-office@example.com');
		$peccular_contact_page_email_another = get_theme_mod('peccular_contactpage_email_another', 'vinor-support@example.com');
		?>

		
     	<div id="peccular-contactus-wrap">
			 <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid  <?php }?>">
 
			 	<div class="row">
			 		<?php if(!empty($peccular_contact_page_phone_label || $peccular_contact_page_phone || $peccular_contact_page_phone_another)){ ?>
				<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 pd-0 peccular-contact-block <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
					<div class="peccular-contact-area">
							<div class="content-inncntct-bx">
								<i class="fa fa-phone" aria-hidden="true"></i>
								<div class="conatct-innOverlay"></div>
								<div class="conatct-innOverlay2"></div>
								<!-- <i class="fa fa-phone" aria-hidden="true"></i> -->
								<div class="contact_l_area">
									<?php echo ($peccular_contact_page_phone_label);  ?>
								</div>
								<div class="contact_info_area">
									<div class="cont-detail1">
									<a href="telto:<?php echo $peccular_contact_page_phone;?>"><?php echo ($peccular_contact_page_phone);  ?></a>	
									</div>
									<div class="clearfix"></div>	
									<div class="cont-detail2">			
									<a href="telto:<?php echo $peccular_contact_page_phone_another;?>"><?php echo ($peccular_contact_page_phone_another);  ?></a>
									</div>
									
								</div>
							</div>
						
					</div>
				</div>
				<?php }?>
				
				<?php if(!empty($peccular_contact_page_email_label || $peccular_contact_page_email || $peccular_contact_page_email_another)){ ?>

				<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 pd-0 peccular-contact-block <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
					<div class="peccular-contact-area">

						<div class="content-inncntct-bx">
							<i class="fa fa-envelope" aria-hidden="true"></i>
								<div class="conatct-innOverlay"></div>
								<div class="conatct-innOverlay2"></div>
							<!-- <div class="col-lg-2 col-md-3 col-sm-2">
								<i class="fa fa-envelope" aria-hidden="true"></i>
							</div> -->
								<div class="contact_l_area">
									<?php echo ($peccular_contact_page_email_label);  ?>
								</div>
								<div class="contact_info_area">
									<div class="cont-detail1">
									<a href="mailto:<?php echo $peccular_contact_page_email;?>"><?php echo ($peccular_contact_page_email);  ?></a>
									</div>	
										<div class="clearfix"></div>	
									<div class="cont-detail2">			
									<a href="mailto:<?php echo $peccular_contact_page_email_another;?>"><?php echo ($peccular_contact_page_email_another);  ?></a>
								</div>
								</div>
					
						</div>
					</div>
				</div>
				<?php }?>	
				<?php if(!empty($peccular_contact_page_address_label || $peccular_contact_page_address || $peccular_contact_page_address_line1 || $peccular_contact_page_address_line2)){ ?>

				<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 pd-0 peccular-contact-block <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
					<div class="peccular-contact-area">
						<div class="content-inncntct-bx">
							<i class="fa fa-map-marker" aria-hidden="true"></i>
								<div class="conatct-innOverlay"></div>
								<div class="conatct-innOverlay2"></div>
							<!-- <div class="col-lg-2 col-md-3 col-sm-2">
								<i class="fa fa-globe" aria-hidden="true"></i>
							</div> -->
								<div class="contact_l_area">
									<?php echo ($peccular_contact_page_address_label);  ?>
								</div>
								<div class="contact_info_area">
									<?php echo ($peccular_contact_page_address);  ?><br>					
									<?php echo ($peccular_contact_page_address_line1);  ?><br>
									<?php echo ($peccular_contact_page_address_line2);  ?>
								</div>
							
						</div>
					</div>
				</div>
				<?php }?>			
				<div class="clearfix"></div>
			</div>


            <div class="clearfix"></div>


			<div class="row ">

					 <div class="col-md-6 col-sm-12 col-xs-12 faq_image pd-1"> 
            <div class="inside-full-height">
             <div class="peccular-faqinn-img"> 
                <?php 
            $peccular_contactleftinn_image = get_theme_mod('peccular_contactleftinn_image');
            if(!empty($peccular_contactleftinn_image)){
              echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_contactleftinn_image).'" class="img-responsive secondry-bg-img" />';
            }else{
              echo '<img alt="About us" src="'.get_template_directory_uri().'/images/contactleftimage.jpg" class="img-responsive" />';
            }

            ?>
               </div>             
          </div>
        </div>
				<div class="col-md-6 col-sm-6 col-xs-12 pd-0">
					<div class="ser_image2">
						<div class="cntct-form-block">
							<!-- <div class="inn-overly"></div> -->
							<h2><?php echo ($peccular_contact_page_formtitle2);  ?></h2>
							<?php if(!empty($peccular_contact_page_form_shortcode)){ ?>
							
							<div class="peccular-contact-page-form <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">								
									<?php echo do_shortcode($peccular_contact_page_form_shortcode);?>
							</div>
							
							<?php }?>
						</div>
				    </div>
				</div>
			</div>
								
				<div class="clearfix"></div>
				</div>
				<div class="col-md-12 col-sm-12 col-xs-12 pd-0 map-form">

						<?php if(!empty($peccular_contact_page_iframe_shortcode)){ ?>
						<div class="peccular-contact-mapbox <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
								<?php echo ($peccular_contact_page_iframe_shortcode);  ?>
							</div>
						<?php }?>
					</div>
		</div>			
						
						
		<div class="clearfix"></div>
	</div>
</main>
<?php get_footer(); ?>