<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  ));
   
//Bottom Header
    $wp_customize->add_section( 'peccular_contact_pages' , array(
        'title'    => __( 'Contact Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );

$wp_customize->add_setting('peccular_contactpages_reset_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new peccular_Reset_Custom_Control($wp_customize, 'peccular_contactpages_reset_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Contact Pages Settings', 'peccular'),
  'description' => 'peccular_contactpages_reset_settings',
  'section' => 'peccular_contact_pages'
)));
    

    $wp_customize->add_setting('peccular_contactpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_contactpages_nav', array(
       'section' => 'peccular_contact_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_contactleftinn_image',
                'peccular_contactpage_address_label',
                'peccular_contactpage_address_line1',
                'peccular_contactpage_address_line2',
                'peccular_contactpage_phone_label',
                'peccular_contactpage_phone',
                'peccular_contactpage_phone_another',
                'peccular_contactpage_email_label',
                'peccular_contactpage_email',
                'peccular_contactpage_email_another',
                'peccular_contactpage_address',
                'peccular_contactpage_form_shortcode',
                'peccular_contactpage_iframe_shortcode',
                'peccular_contact_page_formtitle2',
            ),
            'active' => true,
         ),      
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array( 
                // 'peccular_contactpage_content_align',            
                'peccular_contactpage_box_onload_effects',
                'peccular_contactpage_formmaintitle_color',
                'peccular_contactpage_formplacholder_color',
                'peccular_contactpage_formborder_color',
                'peccular_contactpage_formbtnbg_color1',
                'peccular_contactpage_formbtntext_color',
                'peccular_contact_page_formbtnbghov_color1',
                'peccular_contact_pagee_formbtntexthv_color', 
                'peccular_contactpage_formbgOverlay_color',
                'peccular_contactpage_mapborder_color', 
                'peccular_contcthoverColor_lbl',
                'peccular_contactpage_conctFullBG_color',
                'peccular_contactpage_conctBXIconBG_color',
                'peccular_contactpage_conctBXIcon_color',
                'peccular_contactpage_conctsmainText_color',
                'peccular_contactpage_conctsmainIcon_color'
            ),
         )
        ),
    )));


$wp_customize->add_setting( 'peccular_contactleftinn_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_contactleftinn_image', array(
        'label' => __('Left Image','peccular'),
       'section' => 'peccular_faq_inner_pages',
    )));


$wp_customize->add_setting(
    'peccular_contactpage_address_label',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Headquarters', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_address_label',
    array(
        'settings'      => 'peccular_contactpage_address_label',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Address label', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_address',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Venor Company, 8199 West River Street. Brooklyn, New York 12124', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_address',
    array(
        'settings'      => 'peccular_contactpage_address',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Address Line 1', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_address_line1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_address_line1',
    array(
        'settings'      => 'peccular_contactpage_address_line1',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Address Line 2', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_address_line2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_address_line2',
    array(
        'settings'      => 'peccular_contactpage_address_line2',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Address Line 3', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_phone_label',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Phone Number', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_phone_label',
    array(
        'settings'      => 'peccular_contactpage_phone_label',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Phone label', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_phone',
    array(
        'sanitize_callback' => 'peccular_sanitize_phone_number',
        'default'           => __( '+10345 622 723 555 555', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_phone',
    array(
        'settings'      => 'peccular_contactpage_phone',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'First Phone Number', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_phone_another',
    array(
        'sanitize_callback' => 'peccular_sanitize_phone_number',
        'default'           => __( '+10345 622 723 555 555', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_phone_another',
    array(
        'settings'      => 'peccular_contactpage_phone_another',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Second Phone Number', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_email_label',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Mail Address', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_email_label',
    array(
        'settings'      => 'peccular_contactpage_email_label',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Email label', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_email',
    array(
        'sanitize_callback' => 'sanitize_email',
        'default'           => __( 'vinor-office@example.com', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_email',
    array(
        'settings'      => 'peccular_contactpage_email',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'First Email', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_email_another',
    array(
        'sanitize_callback' => 'sanitize_email',
        'default'           => __( 'vinor-support@example.com', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_email_another',
    array(
        'settings'      => 'peccular_contactpage_email_another',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Second Email', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_page_formtitle2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Get In Touch', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_formtitle2',
    array(
        'settings'      => 'peccular_contact_page_formtitle2',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Form Box Title', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_form_shortcode',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Add Form [SHORTCODE] Here', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_form_shortcode',
    array(
        'settings'      => 'peccular_contactpage_form_shortcode',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Form Shortcode', 'peccular' )
    )
);

$wp_customize->add_setting('peccular_contactpage_iframe_shortcode', array( 'default'=>'Add Map Embed Code Here'));
$wp_customize->add_control('peccular_contactpage_iframe_shortcode', array('settings'=>'peccular_contactpage_iframe_shortcode', 'section'=>'peccular_contact_pages','type'=>'textarea', 'label'=> __('Embed Code for map', 'peccular')));


     $wp_customize->add_setting('peccular_contactpage_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_contactpage_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_contact_pages',
    ));

addColorPalatOption($wp_customize, 'peccular_contactpage_formmaintitle_color', 'peccular_contact_pages', 'Form Title Color', ''); 
 addColorPalatOption($wp_customize, 'peccular_contactpage_formplacholder_color', 'peccular_contact_pages', 'Form Placeholder Color ', '');


addColorPalatOption($wp_customize, 'peccular_contactpage_formborder_color', 'peccular_contact_pages', 'Form Border Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formbtnbg_color1', 'peccular_contact_pages', 'Form button background Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formbtntext_color', 'peccular_contact_pages', 'Form button Text Color', '');

addColorPalatOption($wp_customize, 'peccular_contact_page_formbtnbghov_color1', 'peccular_contact_pages', 'Form Button Hover Background Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_pagee_formbtntexthv_color', 'peccular_contact_pages', 'Form Button Hover Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formbgOverlay_color', 'peccular_contact_pages', 'Form BG Overlay Color', ''); 


addColorPalatOption($wp_customize, 'peccular_contactpage_mapborder_color', 'peccular_contact_pages', 'Map Border Color', '');
$wp_customize->add_setting('peccular_contcthoverColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_contcthoverColor_lbl',
        array(
            'settings'      => 'peccular_contcthoverColor_lbl',
            'section'       => 'peccular_contact_pages',
            'label'         => __( 'Contact Bottom Box Colors', 'peccular' ),
        )
    )
); 

addColorPalatOption($wp_customize, 'peccular_contactpage_conctFullBG_color', 'peccular_contact_pages', 'Contact Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_conctBXIconBG_color', 'peccular_contact_pages', 'Contact Box Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_conctBXIcon_color', 'peccular_contact_pages', 'Contact Box Icon Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_conctsmainText_color', 'peccular_contact_pages', 'Contact Text Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_conctsmainIcon_color', 'peccular_contact_pages', 'Contact Icons Color', '');
?>