<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));
 
  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3', 
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_event_inner_pages' , array(
        'title'    => __( 'Our Event Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );

$wp_customize->add_setting('peccular_eventinnerpages_reset_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new peccular_Reset_Custom_Control($wp_customize, 'peccular_eventinnerpages_reset_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Event Inner Pages Settings', 'peccular'),
  'description' => 'peccular_eventinnerpages_reset_settings',
  'section' => 'peccular_event_inner_pages'
)));
    

    $wp_customize->add_setting('peccular_eventinnerpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_eventinnerpages_nav', array(
       'section' => 'peccular_event_inner_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'team_featured_img_on_off',
                'peccular_events_post_image_height',
                'peccular_innevents_post_excerpt'
            ),
            'active' => true,
         ),          
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'peccular_eventinnpage_nametitle_color',
                'peccular_eventinnpage_subtext_color',
                'peccular_eventinnpage_dateBG_color',
                'peccular_eventinnpage_dateText_color',
                
            ),
         )
        ),
    )));

// $wp_customize->add_setting(
//     'team_featured_img_on_off',
//     array(
//         'sanitize_callback' => 'peccular_sanitize_text',
//     )
// );
// $wp_customize->add_control(
//     new peccular_Switch_Control(
//         $wp_customize,
//         'team_featured_img_on_off',
//         array(
//             'settings'      => 'team_featured_img_on_off',
//             'section'       => 'peccular_event_inner_pages',
//             'label'         => __( 'Show Thumbnail Image', 'peccular-premium' ),
//             'on_off_label'  => array(
//                 'on' => __( 'Yes', 'peccular-premium' ),
//                 'off' => __( 'No', 'peccular-premium' )
//             ),
//         )
//     )
// );


$wp_customize->add_setting('peccular_events_post_image_height',array(
        'default' => 370,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_events_post_image_height',array(
    'label' => __('Feature Image Height','peccular'),
    'section' => 'peccular_event_inner_pages',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1000,
            'step' => 1,
        ),
    )));



// $wp_customize->add_setting(
//     'team_socials_on_off',
//     array(
//         'sanitize_callback' => 'peccular_sanitize_text',
//     )
// );
// $wp_customize->add_control(
//     new peccular_Switch_Control(
//         $wp_customize,
//         'team_socials_on_off',
//         array(
//             'settings'      => 'team_socials_on_off',
//             'section'       => 'peccular_event_inner_pages',
//             'label'         => __( 'Socials Icon On/Off', 'peccular-premium' ),
//             'on_off_label'  => array(
//                 'on' => __( 'Yes', 'peccular-premium' ),
//                 'off' => __( 'No', 'peccular-premium' )
//             ),
//         )
//     )
// );

     $wp_customize->add_setting('peccular_innevents_post_excerpt',array(
        'default' => 20,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_innevents_post_excerpt',array(
    'label' => __('Excerpt Length','peccular'),
    'section' => 'peccular_event_inner_pages',
    'input_attrs' => array(
            'min' => 0,
            'max' => 100,
            'step' => 1,
        ),
    )));

addColorPalatOption($wp_customize, 'peccular_eventinnpage_nametitle_color', 'peccular_event_inner_pages', 'Title Color', '');
addColorPalatOption($wp_customize, 'peccular_eventinnpage_subtext_color', 'peccular_event_inner_pages', 'Text Color', '');
addColorPalatOption($wp_customize, 'peccular_eventinnpage_dateBG_color', 'peccular_event_inner_pages', 'Date Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_eventinnpage_dateText_color', 'peccular_event_inner_pages', 'Date Text Color', '');
?>